Bug 1294829 - rhevm-setup-plugin 3.6.1-1 dependency missing in 3.6 rhevm-setup
rhevm-setup-plugin 3.6.1-1 dependency missing in 3.6 rhevm-setup
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.6.3
Unspecified Linux
high Severity high
: ovirt-3.6.2
: 3.6.2
Assigned To: Yedidyah Bar David
Lukas Svaty
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-30 09:23 EST by Sharon Naftaly
Modified: 2016-03-11 02:35 EST (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
RHEL 6.7
Last Closed: 2016-03-11 02:35:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Integration
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sharon Naftaly 2015-12-30 09:23:31 EST
Description of problem:
when updating rhevm from latest version of found in brew (rhevm-3.6.2-0.1, with rhevm-setup-plugins version 3.6.0-1), to the latest version from code (rhevm-3.6.3-0.1000.40.36e8642 with rhevm-setup-plugins version 3.6.1-1), the  rhevm-setup-plugins package is not being updated which ends in engine setup failure: 

[ ERROR ] Failed to execute stage 'Environment customization': Package ovirt-image-uploader cannot be found

This is solved when updating rhevm-setup-plugins version 3.6.1-1 manually and then running engine-setup

Version-Release number of selected component (if applicable):


How reproducible:
1) Installing rhevm from the following location repo: http://bob.eng.lab.tlv.redhat.com/builds/latest_3.6/el6/
2) adding the following repo: ci-web.eng.lab.tlv.redhat.com/repos/factory_jobs_repo/factory-rhevm_3.6_listener-b4861_sharon_test_upgrade/el6/
3)run yum update rhevm-setup (which doesn't update rhevm-setup-plugins package)
4) run engine-setup



Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Yedidyah Bar David 2015-12-30 10:07:44 EST
See also bug 1294783 comment 1. Current bug is the opposite of it.

To prevent the other direction we can change rhevm-setup-plugins to have:

Requires:       rhevm-setup-plugin-ovirt-engine >= 3.6.Z

But I am not sure which version of the engine will include the relevant patches, so not doing that yet. I thought that 3.6.2 will be built again this week and include them, but it wasn't.
Comment 2 Yaniv Kaul 2015-12-31 05:08:55 EST
Severity?
Comment 3 Yedidyah Bar David 2015-12-31 06:37:12 EST
(In reply to Yaniv Kaul from comment #2)
> Severity?

Not sure what to say.

This bug will "fix itself" with the next downstream build of the engine. The patches needed were already merged but not yet included in a build.

The patches attached to current bug are only meant to prevent it even if someone installs a previous version, for testing or whatever.

Setting high for now.
Comment 4 Eyal Edri 2016-01-05 09:17:27 EST
the fix is in, just pending a build, moving to modified.
Comment 5 Yedidyah Bar David 2016-01-05 09:20:16 EST
patches not merged yet.
Comment 7 Lukas Svaty 2016-01-21 08:28:46 EST
verified in rhevm-3.6.2.6-0.1.el6.noarch

Updating:
 rhevm-setup                   
Installing for dependencies:
 ovirt-engine-extension-aaa-jdbc  
Updating for dependencies:
 rhevm-lib                   
 rhevm-setup-base             
 rhevm-setup-plugin-ovirt-engine       
 rhevm-setup-plugin-ovirt-engine-common   
 rhevm-setup-plugin-websocket-proxy       
 rhevm-setup-plugins

Note You need to log in before you can comment on or make changes to this bug.